OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.NV.ExplicitMultisample

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the NV_explicit_multisample extension, see http://www.opengl.org/registry/specs/NV/explicit_multisample.txt.

Synopsis

- glGetBooleanIndexedv :: GLenum -> GLuint -> Ptr GLboolean -> IO ()
- glGetIntegerIndexedv :: GLenum -> GLuint -> Ptr GLint -> IO ()
- glGetMultisamplefv :: GLenum -> GLuint -> Ptr GLfloat -> IO ()
- glSampleMaskIndexed :: GLuint -> GLbitfield -> IO ()
- glTexRenderbuffer :: GLenum -> GLuint -> IO ()
- gl_SAMPLE_POSITION :: GLenum
- gl_SAMPLE_MASK :: GLenum
- gl_SAMPLE_MASK_VALUE :: GLenum
- gl_TEXTURE_BINDING_RENDERBUFFER :: GLenum
- gl_TEXTURE_RENDERBUFFER_DATA_STORE_BINDING :: GLenum
- gl_MAX_SAMPLE_MASK_WORDS :: GLenum
- gl_TEXTURE_RENDERBUFFER :: GLenum
- gl_SAMPLER_RENDERBUFFER :: GLenum
- gl_INT_SAMPLER_RENDERBUFFER :: GLenum
- gl_UNSIGNED_INT_SAMPLER_RENDERBUFFER :: GLenum

# Functions

glGetBooleanIndexedv :: GLenum -> GLuint -> Ptr GLboolean -> IO ()

glGetIntegerIndexedv :: GLenum -> GLuint -> Ptr GLint -> IO ()

glGetMultisamplefv :: GLenum -> GLuint -> Ptr GLfloat -> IO ()

glSampleMaskIndexed :: GLuint -> GLbitfield -> IO ()

glTexRenderbuffer :: GLenum -> GLuint -> IO ()

# Tokens

gl_SAMPLE_POSITION :: GLenum

gl_SAMPLE_MASK :: GLenum

gl_SAMPLE_MASK_VALUE :: GLenum

gl_TEXTURE_BINDING_RENDERBUFFER :: GLenum

gl_TEXTURE_RENDERBUFFER_DATA_STORE_BINDING :: GLenum

gl_MAX_SAMPLE_MASK_WORDS :: GLenum

gl_TEXTURE_RENDERBUFFER :: GLenum

gl_SAMPLER_RENDERBUFFER :: GLenum

gl_INT_SAMPLER_RENDERBUFFER :: GLenum

gl_UNSIGNED_INT_SAMPLER_RENDERBUFFER :: GLenum